export default function baseOptions(params, method = 'GET') {
  let base = 'http://127.0.0.1:8000'
  let {url, data} = params
  let contentType = 'application/x-www-form-urlencoded'
  contentType = params.contentType || contentType
  const option = {
    isShowLoading: false,
    url: base + url,
    data: data,
    method: method,
    header: {'content-type': contentType}, // 默认contentType ,预留token
    success(res) {

    },
    error(e) {
      console.log('请求接口出现问题')
    }
  }
  return Taro.request(option)
}
