import React, {Component} from 'react'
import {Text, View} from "@tarojs/components";
import Taro from '@tarojs/taro'

class InitComponent extends Component {
  state = {
    hasUserInfo: false,
  }

  constructor(props) {
    super(props);
    if (!this.state.hasUserInfo) {
      Taro.login({
        success: (res) => {
          if (res.code) {
            console.log(res.code)
            this.setState({
              hasUserInfo: true,
            })
          } else {
            console.log('登录失败！' + res.errMsg)
          }
        }
      })
    }
  }

  render() {
    return (
      <View>

      </View>
    )
  }
}

export default InitComponent;
