import React, {Component} from 'react'
import {View} from "@tarojs/components";
import {AtCard, AtSearchBar} from "taro-ui"

import "taro-ui/dist/style/components/card.scss";
import "taro-ui/dist/style/components/search-bar.scss";

import './shop.scss'
import FloatLayout from "../../components/FloatLayout/FloatLayout";
import TradeCard from "../../components/TradeCard/TradeCard";

export default class shop extends Component {
  state = {
    value: '',
    products: [
      {
        title: '河南·新乡市·卫辉市 风力发电',
        value: 7000,
        content: '采用风力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '10000'
      },
      {
        title: '安徽·巢湖市 水力发电',
        value: 5500,
        content: '采用水力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '1000'
      },
      {
        title: '安徽·巢湖市 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '20000'
      },
      {
        title: '江苏·扬州市·邗江区 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '20000'
      },
      {
        title: '河南·新乡市·卫辉市 风力发电',
        value: 7000,
        content: '采用风力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '10000'
      },
      {
        title: '安徽·巢湖市 水力发电',
        value: 5500,
        content: '采用水力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '1000'
      },
      {
        title: '安徽·巢湖市 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '20000'
      },
      {
        title: '江苏·扬州市·邗江区 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '20000'
      },
      {
        title: '河南·新乡市·卫辉市 风力发电',
        value: 7000,
        content: '采用风力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '10000'
      },
      {
        title: '安徽·巢湖市 水力发电',
        value: 5500,
        content: '采用水力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '1000'
      },
      {
        title: '安徽·巢湖市 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '20000'
      },
      {
        title: '江苏·扬州市·邗江区 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '20000'
      },
      {
        title: '河南·新乡市·卫辉市 风力发电',
        value: 7000,
        content: '采用风力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '1000'
      },
      {
        title: '安徽·巢湖市 水力发电',
        value: 5500,
        content: '采用水力发电，符合环保标准，接受就近传输',
        contact: 'xxxxxxxxxxx',
        www: '1000'
      },
      {
        title: '安徽·巢湖市 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '15000'
      },
      {
        title: '江苏·扬州市·邗江区 火力发电',
        value: 3500,
        content: '火力发电',
        contact: 'xxxxxxxxxxx',
        www: '15000'
      },
    ]
  }

  onChange(value) {
    this.setState({
      value: value
    })
  }

  renderProductList(Products) {
    return Products.map((ele, index) => {
      return (
        <TradeCard
          ele={ele}
        />
      )
    })
  }

  render() {
    return (
      <View>
        <AtSearchBar
          value={this.state.value}
          onChange={this.onChange.bind(this)}
        />
        {
          this.renderProductList(this.state.products)
        }
      </View>
    )
  }
}
